.category {
  display: flex;
}

@media (width >= 940px) {
  .category {
    flex-direction: column;
  }
}

.title {
  padding: var(--margin);
  margin: 0;

  font-weight: 500;
}

.image {
  width: 100px;
  height: 100%;
  aspect-ratio: 1 / 1;

  border-radius: var(--border-radius) 0 0 var(--border-radius);

  object-fit: cover;
}

.image,
.image :global(.shine) {
  border-radius: var(--border-radius) 0 0 var(--border-radius);
}

/* Image is above borders, including the loading fallback. Re-add borders. */
[data-theme="dark"] .image :global(.shine) {
  border: var(--border-size) solid var(--color-border);
}

/* No right borders on mobile. */
@media (width < 940px) {
  [data-theme="dark"] .image :global(.shine) {
    border-right: none;
  }
}

@media (width >= 940px) {
  .image {
    width: 100%;
    height: 250px;
    aspect-ratio: initial;
  }

  /* No bottom borders on desktop. */
  .image,
  .image :global(.shine) {
    border-radius: var(--border-radius) var(--border-radius) 0 0;
  }

  [data-theme="dark"] .image :global(.shine) {
    border-bottom: none;
  }
}